petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatPartitioningChacoSetEigenNumber

Sets the number of eigenvectors to compute during partitioning.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatPartitioningChacoSetEigenNumber(MatPartitioning part,PetscInt num)

Collective on MatPartitioning Many br

### Input Parameters

| part | - the partitioning context Many br
| num | - the number of eigenvectors Many br

### Options Database

-mat_partitioning_chaco_eigen_number <n>: Number of eigenvectors - Many brNote: Many brAccepted values are 1, 2 or 3, indicating partitioning by bisection, Many brquadrisection, or octosection. Many br

Many br

### See Also

MatPartitioningChacoSetEigenSolver(), MatPartitioningChacoGetEigenTol()

Level:advanced
Location:src/mat/partition/impls/chaco/chaco.c
Index of all MatOrderings routines
Table of Contents for all manual pages
Index of all manual pages